complexType "ElectricityPhysicalLeg"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 11 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, deliveryPeriods?, settlementPeriods*, settlementPeriodsSchedule?, loadType?, electricity?, deliveryConditions?, deliveryQuantity?
</...>

Content Model Elements (11):

  deliveryConditions (in electricityPhysicalLeg),
  deliveryPeriods (in electricityPhysicalLeg),
  deliveryQuantity (in electricityPhysicalLeg),
  electricity,
  loadType (in electricityPhysicalLeg),
  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group),
  settlementPeriods (in electricityPhysicalLeg),
  settlementPeriodsSchedule

All Direct / Indirect Based Elements (1):

  electricityPhysicalLeg

Known Usage Locations

- As direct type of elements (1):
  electricityPhysicalLeg

Annotation
Physically settled leg of a physically settled electricity transaction.
Type Definition Detail

Type Derivation Tree Leg (extension) CommoditySwapLeg (extension) PhysicalSwapLeg (extension) ElectricityPhysicalLeg

XML Source (w/o annotations (8); see within schema source)

<xsd:complexType name="ElectricityPhysicalLeg"> <xsd:complexContent> <xsd:extension base="PhysicalSwapLeg"> <xsd:sequence> <xsd:element minOccurs="0" name="deliveryPeriods" type="CommodityDeliveryPeriods"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriods" type="SettlementPeriods"/> <xsd:element minOccurs="0" name="settlementPeriodsSchedule" type="SettlementPeriodsSchedule"/> <xsd:element minOccurs="0" name="loadType" type="LoadTypeEnum"/> <xsd:element minOccurs="0" name="electricity" type="ElectricityProduct"/> <xsd:element minOccurs="0" name="deliveryConditions" type="ElectricityDelivery"/> <xsd:element minOccurs="0" name="deliveryQuantity" type="ElectricityPhysicalQuantity"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/11)
deliveryConditions

  Type: | ElectricityDelivery, complex content

  The physical delivery conditions for the transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryConditions" type="ElectricityDelivery"/>

deliveryPeriods

  Type: | CommodityDeliveryPeriods, complex content

  The different options for specifying the Delivery or Supply Periods. Unless the quantity or price is to vary periodically during the trade or physical delivery occurs on a periodic basis, periodsSchedule should be used and set to 1T.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryPeriods" type="CommodityDeliveryPeriods"/>

deliveryQuantity

  Type: | ElectricityPhysicalQuantity, complex content

  The different options for specifying the quantity.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryQuantity" type="ElectricityPhysicalQuantity"/>

electricity

  Type: | ElectricityProduct, complex content

  The specification of the electricity to be delivered.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="electricity" type="ElectricityProduct"/>

loadType

  Type: | LoadTypeEnum, simple content

  LoadType is a summary of the full description of the settlement periods with respect to the region. Used for describing Electricity delivery schedules (e.g. Base, Peak, Off-Peak, Custom).
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Base" | - | Base
  "Peak" | - | Peak
  "OffPeak" | - | Off-Peak
  "BlockHours" | - | Block Hours
  "Custom" | - | Anything that does not fall under the predefined standard categories

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="loadType" type="LoadTypeEnum"/>

settlementPeriods

  Type: | SettlementPeriods, complex content

  The specification of the Settlement Periods in which the electricity will be delivered. The Settlement Periods will apply from and including the Effective Date up to and including the Termination Date. If more than one settlementPeriods element is present this indicates multiple ranges of Settlement Periods apply to the entire trade - for example off-peak weekdays and all day weekends. Settlement Period ranges should not overlap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriods" type="SettlementPeriods"/>

settlementPeriodsSchedule

  Type: | SettlementPeriodsSchedule, complex content

  The specification of the Settlement Periods in which the electricity will be delivered for a "shaped" trade i.e. where different Settlement Period ranges will apply to different periods of the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementPeriodsSchedule" type="SettlementPeriodsSchedule"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.